%define name    raptor
%define version 1.4.7
%define release 1mdk

%define major	1
%define libname %mklibname %{name} %{major}

Summary:   	Raptor RDF Parser Toolkit for Redland
Name:      	%{name}
Version:   	%{version}
Release:   	%{release}
License: 	GPL LGPL
Group:     	Development/Other
Source:    	http://librdf.org/dist/source/%{name}-%{version}.tar.bz2
URL:       	http://www.redland.opensource.ac.uk/raptor/
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: 	libxml2-devel curl-devel w3c-libwww-devel

%description
Raptor is the RDF Parser Toolkit for Redland that provides
a set of standalone RDF parsers, generating triples from RDF/XML
or N-Triples.

%package -n	%{libname}
Summary:        Dynamic libraries from %{name}
Group:          System/Libraries

%description -n	%{libname}
Dynamic libraries from %{name}.

%package -n	%{libname}-devel
Summary:	Header files and static libraries from %name
Group:		Development/C
Requires:	%{libname} >= %{version}
Provides:	lib%{name}-devel = %{version}-%{release} %{name}-devel = %{version}-%{release} 
Obsoletes:	%{name}-devel

%description -n	%{libname}-devel
Libraries and includes files for developing programs based on %{name}.

%prep
%setup -q

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_mandir}/man{1,3}
%makeinstall

#multiarch
%multiarch_binaries $RPM_BUILD_ROOT%{_bindir}/raptor-config

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %libname -p /sbin/ldconfig
%postun -n %libname -p /sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS COPYING COPYING.LIB ChangeLog LICENSE.txt NEWS README
%{_mandir}/man1/rap*
%{_mandir}/man3/libraptor.3*
%{_bindir}/rapper

%files -n %libname
%defattr(-,root,root)
%{_libdir}/lib*.so.*

%files -n %libname-devel
%defattr(-, root, root)
%{_libdir}/lib*.so
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/pkgconfig/%{name}.pc
%{_includedir}/*
%{_bindir}/raptor-config
%multiarch %{multiarch_bindir}/raptor-config

%changelog
* Thu Jun 09 2005 Austin Acton <austin@mandriva.org> 1.4.7-1mdk
- New release 1.4.7

* Wed Mar 23 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.4.5-2mdk
- multiarch
- update license, only libraries are LGPL, while the rest is GPL

* Sun Feb 6 2005 Austin Acton <austin@mandrake.org> 1.4.5-1mdk
- 1.4.5

* Tue Jan 4 2005 Austin Acton <austin@mandrake.org> 1.4.3-1mdk
- 1.4.3

* Wed Dec 29 2004 Austin Acton <austin@mandrake.org> 1.4.2-2mdk
- rebuild

* Mon Nov 29 2004 Austin Acton <austin@mandrake.org> 1.4.2-1mdk
- 1.4.2
- source URL

* Fri Oct 29 2004 Lenny Cartier <lenny@mandrakesoft.com> 1.4.1-1mdk
- 1.4.1

* Mon Oct 26 2004 Austin Acton <austin@mandrake.org> 1.4.0-1mdk
- 1.4.0
- configure 2.5

* Fri Jul 02 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 1.3.1-2mdk
- Rebuild for new curl

* Tue Jun 29 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.3.1-1mdk
- 1.3.1
- do parallel build
- reenable libtoolize

* Wed May 19 2004 Austin Acton <austin@mandrake.org> 1.3.0-1mdk
- 1.3.0

* Mon Feb 2 2004 Austin Acton <austin@mandrake.org> 1.2.0-1mdk
- 1.2.0

* Wed Dec 31 2003 Austin Acton <austin@linux.ca> 1.1.0-1mdk
- 1.1.0
- libtoolize
- remove lib dependency

* Mon Sep 8 2003 Austin Acton <aacton@yorku.ca> 1.0.0-1mdk
- 1.0.0
- major 1

* Mon Aug 25 2003 Austin Acton <aacton@yorku.ca> 0.9.12-1mdk
- 0.9.12

* Tue Aug 5 2003 Austin Acton <aacton@yorku.ca> 0.9.11-1mdk
- 0.9.11

* Tue Jul 15 2003 Austin Acton <aacton@yorku.ca> 0.9.10-3mdk
- rebuild for rpm

* Wed May 14 2003 Austin Acton <aacton@yorku.ca> 0.9.10-2mdk
- fix library naming

* Wed May 7 2003 Austin Acton <aacton@yorku.ca> 0.9.10-1mdk
- 0.9.10

* Wed Apr 2 2003 Austin Acton <aacton@yorku.ca> 0.9.9-1mdk
- 0.9.9

* Tue Feb 18 2003 Austin Acton <aacton@yorku.ca> 0.9.8-1mdk
- initial package
